MAPIClientLibraries 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
IXPLogon.c File Reference

Transport provider status information. More...

`#include "libmapi/libmapi.h"`
`#include "libmapi/libmapi_private.h"`

## Functions
_PUBLIC_ enum MAPISTATUS | AddressTypes (mapi_object_t *obj_store, uint16_t *lpcAdrType, struct mapi_LPSTR **lpAdrTypeArray)
_PUBLIC_ enum MAPISTATUS | OptionsData (mapi_object_t *obj_store, const char *addrtype, uint8_t **OptionsData, uint16_t *OptionsLength, uint8_t **HelpFile, uint16_t *HelpFileLength, const char **HelpFileName)
_PUBLIC_ enum MAPISTATUS | SetSpooler (mapi_object_t *obj_store)
_PUBLIC_ enum MAPISTATUS | SpoolerLockMessage (mapi_object_t *obj_store, mapi_object_t *obj_message, enum LockState lockstate)

## Detailed Description

Transport provider status information.

## Function Documentation

_PUBLIC_ enum MAPISTATUS AddressTypes | ( | mapi_object_t * | obj_store,
|  | uint16_t * | lpcAdrType,
|  | struct mapi_LPSTR ** | lpAdrTypeArray
| ) |  |

Returns the types of recipients that the transport provider handles.

Parameters

  obj_store | the object to get recipients types from
  lpcAdrType | the count of recipients types returned
  lpAdrTypeArray | pointer on pointer of returned transport provider types

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: obj_store is not initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

References mapi_object_get_handle(), mapi_object_get_logon_id(), and mapi_object_get_session().

_PUBLIC_ enum MAPISTATUS OptionsData | ( | mapi_object_t * | obj_store,
|  | const char * | addrtype,
|  | uint8_t ** | OptionsData,
|  | uint16_t * | OptionsLength,
|  | uint8_t ** | HelpFile,
|  | uint16_t * | HelpFileLength,
|  | const char ** | HelpFileName
| ) |  |

Returns options information for the types of recipients that the transport provider handles.

Parameters

  [in] | obj_store | the object to get recipients types from
  [in] | addrtype | string name of the address type to get options for
  [out] | OptionsData | the options data for this addrtype
  [out] | OptionsLength | length of the OptionsData array
  [out] | HelpFile | the help file data for this addrtype (often empty)
  [out] | HelpFileLength | length of the HelpFile array
  [out] | HelpFileName | the name of the help file (often null)

The caller is responsible for talloc_free()ing the OptionsData array.

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: obj_store is not initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

References mapi_object_get_handle(), mapi_object_get_logon_id(), and mapi_object_get_session().

_PUBLIC_ enum MAPISTATUS SetSpooler | ( | mapi_object_t * | obj_store | ) |

Informs the server that the client intends to act as a mail spooler.

Parameters

  obj_store,: | the object server store object

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: obj_store is not initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

See Also
  SpoolerLockMessage

References mapi_object_get_handle(), mapi_object_get_logon_id(), and mapi_object_get_session().

_PUBLIC_ enum MAPISTATUS SpoolerLockMessage | ( | mapi_object_t * | obj_store,
|  | mapi_object_t * | obj_message,
|  | enum LockState | lockstate
| ) |  |

Locks the specified message for spooling.

Parameters

  obj_store | the store object
  obj_message | the message object we want to lock
  lockstate | the lock state

Possible values for the lock state:

1. LockState_1stLock (0x0): Mark the message as locked
2. LockState_1stUnlock (0x1): Mark the message as unlocked
3. LockState_1stFinished (0x2): Mark the message as ready for processing by the server

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: obj_store is not initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

See Also
  SetSPooler

References mapi_object_get_handle(), mapi_object_get_id(), mapi_object_get_logon_id(), and mapi_object_get_session().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/